## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate libdeflate-sys

Name:           rust-libdeflate-sys
Version:        1.19.0
Release:        %autorelease
Summary:        Bindings to libdeflate for DEFLATE

License:        Apache-2.0
URL:            https://crates.io/crates/libdeflate-sys
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
#   - Add pkg-config dependency for finding the system libdeflate
Patch:          libdeflate-sys-fix-metadata.diff
# Use external/system libdeflate when pkgconfig can find it
# https://github.com/adamkewley/libdeflater/pull/30
# This version applies to the released libdeflate-sys crate.
Patch:          libdeflate-sys-1.19.0-system-libdeflate.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Bindings to libdeflate for DEFLATE (de)compression exposed as non-
streaming buffer operations. Contains bindings for raw deflate, zlib,
and gzip data.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libdeflate)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+freestanding-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+freestanding-devel %{_description}

This package contains library source intended for building other packages which
use the "freestanding" feature of the "%{crate}" crate.

%files       -n %{name}+freestanding-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
# Remove the bundled copy of libdeflate.
rm -rv libdeflate
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(libdeflate)'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 05 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.19.0-1
- Update to 1.19.0

* Wed Jun 23 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.7.3-1
- Update to 0.7.3.
- Fixes RHBZ#1975135

* Wed Jun 23 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.7.2-1
- Update to 0.7.2.
- Fixes RHBZ#1975135

* Mon May 31 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.7.1-1
- Initial package

## END: Generated by rpmautospec
